# gitpod

Gitpod 是最早的远程开发平台，配置较高，50 时/月免费，很容易用完。添加配置文件 `.gitpod.yml` 和 `.gitpod.Dockerfile`，内容如下：

`.gitpod.yml` 

```yaml
image:
  file: .gitpod.Dockerfile

tasks:

    - name: Install dependencies
        init: |
        npm install
    
    - name: Start server
        command: npm run dev
```

配置文件主要设置 启动命令，安装依赖等。

 `.gitpod.Dockerfile`

```
FROM gitpod/workspace-full:latest

USER gitpod

RUN pip3 install pytest==4.4.2 mock pytest-testdox toml
RUN npm i learnpack@0.1.14 -g && learnpack plugins:install learnpack-python@0.0.35

```

这里使用了 gitpod 官方的镜像，安装了 python 和 nodejs 的依赖，可以对特定语言项目添加环境。
