# Dotnet

.net 也支持跨平台，可以在windows，mac，linux等平台运行，一般做 aspx web项目。

.net core 3.1 之后，改名为 .net 5，支持更多的平台，如 arm64，wasm等。

## dotnet action

实现自动构建项目，生成可执行包。签名，上传到 github package 。

配置 `dotnet\.github\workflows\main.yml`:
```
        - name: Setup .NET Core SDK
          uses: actions/setup-dotnet@v1
          with:
            dotnet-version: 3.1.100

        - uses: actions/cache@v2
          with:
            path: ~/.nuget/packages
            key: ${{ runner.os }}-nuget-${{ hashFiles('**/packages.lock.json') }}
            restore-keys: |
              ${{ runner.os }}-nuget-
```

打包
```

```

## vs构建

传统 C++,C# 等桌面exe项目，使用：`msbuild.yml` 自动构建




## C/C++

C/C++项目编译，


